package com.nisemoe.nise.controller

import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RestController

data class HealthResponse(
    val healthy: Boolean,
)

@RestController
class HealthController {
    companion object {
        val HEALTH = HealthResponse(
            healthy = true,
        )
    }

    @GetMapping("/health")
    fun healthCheck(): ResponseEntity<HealthResponse> = ResponseEntity.ok(HEALTH)
}

